Bug 225539

Summary: [NEW PORT] www/py-onionshare: secure and anonymous file sharing via Tor
Product: Ports & Packages Reporter: Vinícius Zavam <egypcio>
Component: Individual Port(s)Assignee: Yuri Victorovich <yuri>
Status: Closed FIXED    
Severity: Affects Some People CC: dbaio, egypcio, garga, george, yuri
Priority: --- Keywords: patch
Version: Latest   
Hardware: amd64   
OS: Any   
URL: https://reviews.freebsd.org/D14121
Attachments:
Description Flags
[NEW PORT] [PATCH] www/py-onionshare: securely and anonymously file sharing via Tor
none
Updated shar
none
[PATCH] www/py-onionshare: secure and anonymous file-sharing via Tor (20180130)
none
[PATCH] www/py-onionshare: secure and anonymous file-sharing via Tor (20180130)
none
[PATCH] www/py-onionshare: secure and anonymous file-sharing via Tor (20180130)
none
Screenshot of OnionShare v1.2 working on FreeBSD 11.1-STABLE/amd64
none
[PATCH] www/py-onionshare: secure and anonymous file-sharing via Tor (20180621, r472858) none

Description Vinícius Zavam freebsd_committer 2018-01-29 18:05:41 UTC
Created attachment 190167 [details]
[NEW PORT] [PATCH] www/py-onionshare: securely and anonymously file sharing via Tor

OnionShare is an open source tool that lets you securely and anonymously share a file of any size (via Tor).

WWW: https://onionshare.org/
Comment 1 Vinícius Zavam freebsd_committer 2018-01-29 18:06:05 UTC
Added Review/Diff on Phabricator.
Comment 2 Yuri Victorovich freebsd_committer 2018-01-29 20:40:06 UTC
Created attachment 190172 [details]
Updated shar

I am gettuing this error message: https://github.com/micahflee/onionshare/issues/577
Comment 3 Yuri Victorovich freebsd_committer 2018-01-29 20:41:17 UTC
Pending resolution of the problem with the error message.
Comment 4 Vinícius Zavam freebsd_committer 2018-01-30 14:56:01 UTC
Created attachment 190202 [details]
[PATCH] www/py-onionshare: secure and anonymous file-sharing via Tor (20180130)

Hi yuri@,

I did some changes and here is the new diff/patch.

The REINPLACE_CMD you ran on the post-patch stage was removed; that could be the reason some paths to the Tor binary and its shared data (and configurations) got messed up, don't you think?

Appreciate your time and support on this new port!

KR,
Vinícius
Comment 5 Vinícius Zavam freebsd_committer 2018-01-30 15:38:00 UTC
Created attachment 190203 [details]
[PATCH] www/py-onionshare: secure and anonymous file-sharing via Tor (20180130)

(In reply to Vinícius Zavam from comment #4)

Forgot to push 'widgets' to PYQT! New patch updates it.
Comment 6 Vinícius Zavam freebsd_committer 2018-01-30 16:21:57 UTC
Created attachment 190205 [details]
[PATCH] www/py-onionshare: secure and anonymous file-sharing via Tor (20180130)

(In reply to Vinícius Zavam from comment #5)

Final patch, I suppose.
Added punctual changes to work on FreeBSD.
Comment 7 Vinícius Zavam freebsd_committer 2018-01-30 16:28:21 UTC
Created attachment 190207 [details]
Screenshot of OnionShare v1.2 working on FreeBSD 11.1-STABLE/amd64
Comment 8 Vinícius Zavam freebsd_committer 2018-04-10 14:34:04 UTC
hello there!

do you have any additional updates on this one? I do remember testing it when sent the (attached) screenshot. just worked.

review on phabricator links to https://reviews.freebsd.org/D14121, but still points to needs of changes. how can I be useful on helping getting it into QA, to be merged into ports?

tyvm. very appreciated for your time!

kr,
vncs
Comment 9 Vinícius Zavam freebsd_committer 2018-06-21 10:03:14 UTC
Created attachment 194450 [details]
[PATCH] www/py-onionshare: secure and anonymous file-sharing via Tor (20180621, r472858)

This new patch obsoletes the previous one, but I am still keeping the screenshot.

Added support to use 'security/obfs4proxy'.

I did see an small warning message on 'creating a directory' for the Nautilus Extension; I can take car of it in a next release of the port - it's not mandatory to have such a support.

Please consider merging it into the tree!
Comment 10 Vinícius Zavam freebsd_committer 2018-06-21 10:15:28 UTC
PS: this updates the port to version 1.3.1 (latest stable version)
Comment 11 Yuri Victorovich freebsd_committer 2018-07-11 06:45:40 UTC
Committed with changes.
Thank you for your submission!
Comment 12 commit-hook freebsd_committer 2018-07-11 06:45:41 UTC
A commit references this bug:

Author: yuri
Date: Wed Jul 11 06:45:35 UTC 2018
New revision: 474425
URL: https://svnweb.freebsd.org/changeset/ports/474425

Log:
  New port: www/onionshare: Secure and anonymous file sharing via Tor

  PR:		225539
  Submitted by:	Vin?cius Zavam <egypcio@googlemail.com>

Changes:
  head/www/Makefile
  head/www/onionshare/
  head/www/onionshare/Makefile
  head/www/onionshare/distinfo
  head/www/onionshare/files/
  head/www/onionshare/files/patch-setup.py
  head/www/onionshare/pkg-descr